Add health folder to top-level tests Makefile.am. Also add a runall
script to run all health check tests.
Signed-off-by: Christian Babeux <christian.babeux@efficios.com>
Signed-off-by: David Goulet <dgoulet@efficios.com>
gen-events
gen-ust-events
unit_tests
+health_check
benchmark/
tests/kernel/Makefile
tests/tools/Makefile
tests/tools/streaming/Makefile
+ tests/tools/health/Makefile
tests/ust/Makefile
tests/ust/nprocesses/Makefile
tests/ust/high-throughput/Makefile
-SUBDIRS = streaming
+SUBDIRS = streaming health
AM_CFLAGS = -g -Wall -I../
AM_LDFLAGS = -lurcu -lurcu-cds
--- /dev/null
+#!/bin/bash
+
+DIR=$(dirname $0)
+
+tests=( $DIR/health_thread_exit $DIR/health_thread_stall )
+exit_code=0
+
+function start_tests ()
+{
+ for bin in ${tests[@]};
+ do
+ if [ ! -e $bin ]; then
+ echo -e "$bin not found, passing"
+ continue
+ fi
+
+ ./$bin
+ # Test must return 0 to pass.
+ if [ $? -ne 0 ]; then
+ exit_code=1
+ break
+ fi
+ done
+}
+
+start_tests
+
+exit $exit_code
DIR=$(dirname $0)
tests=( $DIR/test_kernel_data_trace $DIR/test_sessions $DIR/test_ust_data_trace \
- $DIR/streaming/runall )
+ $DIR/streaming/runall $DIR/health/runall )
exit_code=0